Skip to main content
POST
/
api
/
v1
/
apps
/
{slug}
/
probe
On-demand probe. Refreshes the tool manifest and health status. Always returns 200 — probe failures are reported in the body, not the status code.
curl --request POST \
  --url https://api.backside.app/api/v1/apps/{slug}/probe \
  --header 'Authorization: Bearer <token>'
{
  "last_probed_at": "2023-11-07T05:31:56Z",
  "reachable": true,
  "tools_added": 1,
  "tools_discovered": 1,
  "tools_removed": 1,
  "reason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

App slug

Response

Probe result

last_probed_at
string<date-time>
required
reachable
boolean
required
tools_added
integer<int32>
required
Required range: x >= 0
tools_discovered
integer<int32>
required
Required range: x >= 0
tools_removed
integer<int32>
required
Required range: x >= 0
reason
string | null